package sample;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Calendar;
import java.util.Date;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.co.ffc.gkit.excelgenerator.EGBook;
import jp.co.ffc.gkit.excelgenerator.EGBorder;
import jp.co.ffc.gkit.excelgenerator.EGRange;
import jp.co.ffc.gkit.excelgenerator.EGSheet;

public class Sample01 extends HttpServlet {

	protected void doGet(
		HttpServletRequest request,
		HttpServletResponse response)
		throws ServletException, IOException {

		//Rec^Cvݒ肷
		response.setContentType("application/vnd.ms-excel;");

		//wb_̐^GNZt@CInputStream擾
		InputStream inputheader =
			this.getServletContext().getResourceAsStream(
				"WEB-INF/tmp/sample/Sample01_h.xls");

		//R[h̐^GNZt@CInputStream擾
		InputStream inputrecord =
			this.getServletContext().getResourceAsStream(
				"WEB-INF/tmp/sample/Sample01_r.xls");

		//tb^̐^GNZt@CInputStream擾
		InputStream inputfooter =
			this.getServletContext().getResourceAsStream(
				"WEB-INF/tmp/sample/Sample01_f.xls");

		//EGBook̃CX^X𐶐		
		EGBook book = new EGBook(inputheader, inputrecord, inputfooter);

		//InputStream
		inputheader.close();

		//InputStream		
		inputrecord.close();

		//InputStream
		inputfooter.close();

		//PԖڂ̃V[g擾
		EGSheet sheet = book.getSheetAt(0);

		//wb_͈̔͂ݒ肷
		sheet.setHeaderRangeNum(4);

		//R[h͈̔͂ݒ肷
		sheet.setRecordRangeNum(2);

		//tb^͈̔͂ݒ肷
		sheet.setFooterRangeNum(4);

		//wb_ƂȂ郌W擾
		EGRange header = sheet.getHeaderRange();

		//wb_Ƀf[^ݒ肷
		header.setData(1, 1, "No.");

		//tݒ肷
		header.setData(1, 10, Calendar.getInstance());

		//rǉ
		EGBorder border = new EGBorder();
		
		border.setCol((short)1);
		border.setRow(10);
		border.setLength(11);
		border.setType(EGBorder.BORDER_MEDIUM);
		
		sheet.addBorder(border);
		
		
		//R[h̐ݒ
		for (int i = 0; i < 15; i++) {
			
			//̃R[h擾
			EGRange record = sheet.nextRecordRange();
			
			//R[hɃf[^ݒ肷
			record.setData(0, 1, i);
			record.setFontBold(0, 1, true);
			record.setFontColor(0, 1, EGRange.COLOR_BLUE);
			record.setFontItalic(0, 1, true);
			record.setFontSize(0, 1, (short) 20);
			record.setFontUnderline(0, 1, true);
			record.setForegroundColor(0, 1, EGRange.COLOR_BRIGHT_GREEN);
			record.setData(0, 2, 654321);
			record.setData(0, 3, true);
			record.setData(0, 4, new Date());
			record.setData(0, 5, Calendar.getInstance());
		}
		
		//tb^擾
		EGRange footer = sheet.getFooterRange();
		
		//ݒ肷
		footer.setFormula(0, 2, "SUM(C4:C34)");

		//OutputStream擾
		OutputStream output = response.getOutputStream();
		
		//o
		book.write(output);

	}

}
