package sample;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.co.ffc.gkit.excelgenerator.EGBook;
import jp.co.ffc.gkit.excelgenerator.EGRange;
import jp.co.ffc.gkit.excelgenerator.EGSheet;
public class Sample02 extends HttpServlet {

	protected void doGet(
		HttpServletRequest request,
		HttpServletResponse response)
		throws ServletException, IOException {

		//Rec^Cvݒ肷
		response.setContentType("application/vnd.ms-excel;");

		//wb_̐^GNZt@CInputStream擾
		InputStream inputheader =
			this.getServletContext().getResourceAsStream(
				"WEB-INF/tmp/sample/Sample02_h.xls");

		//R[h̐^GNZt@CInputStream擾
		InputStream inputrecord =
			this.getServletContext().getResourceAsStream(
				"WEB-INF/tmp/sample/Sample02_r.xls");

		EGBook book = new EGBook(inputheader, inputrecord);

		inputheader.close();
		
		inputrecord.close();

		EGSheet sheet = book.getSheetAt(0);

		sheet.setHeaderRangeNum(2);

		sheet.setRecordRangeNum(1);

		for (int i = 0; i < 20; i++) {

			EGRange range = sheet.nextRecordRange();

			range.setData(0, 0, "xm Y");
			range.setData(0, 1, "eebI[v");
			range.setData(0, 2, "xmOhR[X");
			range.setData(0, 3, 62);
			range.setData(0, 4, 58);
			range.setFormula(0, 5, "D" + (i + 3) + "+E" + (i + 3));
			range.setData(0, 6, 35);
			range.setFormula(0, 7, "F" + (i + 3) + "-G" + (i + 3));
			range.setData(0, 8, 3);

		}
		
		OutputStream output = response.getOutputStream();
		
		book.write(output);

	}

}
