package sample;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jp.co.ffc.gkit.excelgenerator.EGBook;
import jp.co.ffc.gkit.excelgenerator.EGRange;
import jp.co.ffc.gkit.excelgenerator.EGSheet;

public class Sample03 extends HttpServlet {

	protected void doGet(
		HttpServletRequest request,
		HttpServletResponse response)
		throws ServletException, IOException {

		response.setContentType("application/vnd.ms-excel;");

		InputStream inputheader =
			this.getServletContext().getResourceAsStream(
				"WEB-INF/tmp/sample/Sample03_h.xls");

		EGBook book = new EGBook(inputheader);

		inputheader.close();

		EGSheet sheet = book.getSheetAt(0);

		sheet.setHeaderRangeNum(11);

		EGRange range = sheet.getHeaderRange();

		range.setData(2, 3, "VXeGWjAO");
		
		range.setData(4, 3, "xm Y");
		
		range.setData(6, 3, "Vh|q");
		
		range.setData(8, 3, 50000);

		OutputStream output = response.getOutputStream();
		
		book.write(output);

	}

}
